Page MenuHomePhabricator

Hacking: Wiki Radio
Closed, ResolvedPublic

Description

Outcome: Basic proof of concept created, posted to https://github.com/dr0ptp4kt/wikiradio.git. Worked with volunteer selva on this.

Reach Adam Baso (dr0ptp4kt) on Freenode webchat on the #wikimedia-mobile channel.

This will be a brand new app, written in Swift at the Wikimedia Hackathon 2015 in Lyon, France. Please see the mobile apps page for the hackathon for more details in general.

For the hackathon, the app will be radically simple: a player that plays a continuous, pseudorandom audio stream with existing audio. Currently, the UI is planned to have a very simple, mostly black, aesthetic.

To start, the app will collect little information other than seconds played, linked to a fully non-identifying app install identifier. Down the road, the non-identifying app install identifier could be used for machine learning purposes to help users get audio more tailored to their interests. But that's not for the hackathon so much.

We may be interested in later integrating this into the main Wikipedia app.

Suggested reading:

There are various way to support the open audio formats. One includes a CocoaPods packaged solution as mentioned in a "blocking task", but another may include compiling down code or something like that, as discussed on StackOverflow.

Details

  • Primary Mentor : @dr0ptp4kt
  • Secondary Mentor : @Nirzar
  • Other mentors: (optional, Phabricator username)
  • Skills: native app development in iOS (Swift or Objective, but probably both) or Android (Android Java)
  • Estimated project time for a senior contributor: 40-160 hours
  • Microtasks: Concept generation, prototype, validation, beta, go/no-go, ship

Event Timeline

dr0ptp4kt created this task.Mar 5 2015, 5:08 PM
dr0ptp4kt claimed this task.
dr0ptp4kt raised the priority of this task from to Needs Triage.
dr0ptp4kt updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 5:08 PM
bearND added a subscriber: bearND.Mar 5 2015, 5:14 PM
brion added a subscriber: brion.

Note that I haven't tried OGVKit with a Swift host app yet, but it should work. I may need to make more annotations in the obj-c source.

@dr0ptp4kt you know I love this idea, but I'm not currently slated to go to Lyon due to event budget. cc:@Qgil

dr0ptp4kt updated the task description. (Show Details)Mar 10 2015, 5:55 PM
dr0ptp4kt updated the task description. (Show Details)May 7 2015, 5:24 PM
dr0ptp4kt renamed this task from [Wikimedia Hackathon 2015] Wikipedia Radio (or "Wiki Radio" if not part of the official brand umbrella) for iOS to Wiki Radio.May 7 2015, 5:28 PM
dr0ptp4kt updated the task description. (Show Details)
Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

dr0ptp4kt renamed this task from Wiki Radio to Hacking: Wiki Radio.May 18 2015, 3:47 PM
dr0ptp4kt updated the task description. (Show Details)May 18 2015, 3:52 PM
Qgil added a comment.May 27 2015, 10:23 PM

Did someone work on this project during Wikimedia-Hackathon-2015? If so, please update the task with the results. If not, please remove the label.

Qgil added a comment.Jun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward. * If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start. * If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project. * If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer). * Keeping the description, priority and assigned fields up to date always helps. :) For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

Qgil added a subscriber: Mhurd.Jun 29 2015, 5:48 PM

With a role change (from more purely software engineering to more purely managing) I don't have a lot of bandwidth to work T91658: Hacking: Wiki Radio. But @bgerstle, @coreyfloyd, @Mhurd, do you think this is something that may be of interest to you and if you might have experimentation time to do this The Right Way? I totally understand if it's not practical.
@Qgil, I need to think quickly and hard about whether I can make this a part of my goals for Q1 or perhaps more realistically, Q2 & beyond. I like coding in Swift (and I like coding), and I still think something like a queued radio-like experience would be pretty neat (and someday, think about the possibility of having users record sections of articles, entire articles, pronunciations, and more). But I have to be practical, too. @brion, any interest in this, and realistically, would there be time for you and I to pair program on this? I totally understand if not.

I'm associating Possible-Tech-Projects just in case this is an option to work further on this neat project. If a qualified intern would be willing to work on this and two of you would be willing to mentor...

Qgil added a comment.Sep 23 2015, 9:13 AM

This is a message posted to all tasks under "Backlog" at Possible-Tech-Projects. Outreachy-Round-11 is around the corner. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.

Qgil added a comment.Sep 23 2015, 9:35 AM

This is a message sent to all Possible-Tech-Projects. The new round of Wikimedia Individual Engagement Grants is open until 29 Sep. For the first time, technical projects are within scope, thanks to the feedback received at Wikimania 2015, before, and after (T105414). If someone is interested in obtaining funds to push this task, this might be a good way.

This is the last call for Possible-Tech-Projects missing mentors. The application deadline for Outreachy-Round-11 is 2015-11-02. If this proposal doesn't have two mentors assigned by the end of Thursday, October 22, it will be moved as a candidate for the next round.

Interested in mentoring? Check the documentation for possible mentors.

As previously mentioned, this task is moved to 'Recheck in February 2016' as it doesn't have two mentors assigned to it as of today, October 23 - 2015. The project will be included in the discussion of next iteration of GSoC/Outreachy, and is excluded from #Outreachy-11. Potential candidates are discouraged from submitting proposals to this task for #Outreachy-11 as it lacks mentors in this round.

Sumit added a subscriber: Sumit.Feb 18 2016, 1:33 PM
NOTE: This task is a proposed project for Google-Summer-of-Code (2016) and Outreachy-Round-12 : GSoC 2016 and Outreachy round 12 is around the corner, and this task is listed as a Possible-Tech-Projects for the same. Projects listed for the internship programs should have a well-defined scope within the timeline of the event, minimum of two mentors, and should take about 2 weeks for a senior developer to complete. Interested in mentoring? Please add your details to the task description, if not done yet. Prospective interns should go through Life of a successful project doc to find out how to come up with a strong proposal for the same.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 18 2016, 1:33 PM
Sumit added a comment.Mar 2 2016, 3:19 AM

@dr0ptp4kt , do you think this task could be pushed for the current round of GSoC/Outreachy internships?

Samtar added a subscriber: Samtar.Mar 3 2016, 7:41 PM

Anyone willing to co-mentor this for GSoC 2016?

Samtar updated the task description. (Show Details)Mar 3 2016, 7:44 PM
Samtar removed dr0ptp4kt as the assignee of this task.Mar 3 2016, 8:10 PM
Samtar added a subscriber: dr0ptp4kt.
Qgil removed a subscriber: Qgil.Mar 3 2016, 8:34 PM
Sumit added a comment.Sep 11 2016, 4:21 PM

@dr0ptp4kt any consensus to work on this feature? We can have it for current Outreachy-13 round, given we definer its scope clearly?

@Sumit, just wanted to note I saw this (somehow missed the earlier notification for some reason, though, sorry!). I'm going to check in with some people - we're pretty busy, but wanted to at least get a sense of where we might be in terms of being able to mentor.

@Sumit, following up: @Nirzar and I would be happy to mentor. Our support would be from the perspective of user experience / design and guidance about available web APIs and conventions to support the mentee iterating on the standalone native app concept. We'd want to explore with the mentee several possibilities beyond just random audio file playback, as there are lots of fun things to do.

Do you happen to know if this person would be doing this native app work in iOS or Android, or both?

I'll update the Description.

dr0ptp4kt updated the task description. (Show Details)Sep 30 2016, 7:22 PM

@dr0ptp4kt thanks for that, adding Outreachy-13 and moving to featured.

Nes added a subscriber: Nes.Oct 5 2016, 8:39 PM
Nes added a comment.Oct 6 2016, 9:03 PM

@dr0ptp4kt @Nirzar I am interested with this project. I can do it for Android, only. I started to work on a very fast prototype so that I can understand the concept better. Do you have any advise other than the things written here?

@Nes that sounds great! :) happy that you are interested in working on this. I can help you with design. would you mind discussing/ showing any work you have? wireframes, prototypes, paper sketches. If we have a starting point, i can help you with app design, assets and making sure the quality is at par with Wikimedia apps.

npangarkar@wikimedia.org < you can reach out to me here.

@Nes, cool. If you would please CC me (I'm abaso@) when emailing Nirzar that would be terrific.

@Nes okay if I mark you as the assignee for this?

dr0ptp4kt assigned this task to Nes.Oct 20 2016, 9:48 PM
Samtar removed a subscriber: Samtar.Nov 17 2016, 8:10 AM
dr0ptp4kt removed a project: Reading-Admin.

I'm removing Reading-Admin from, not out of interest but because it's basically done now. I didn't want to mark the task resolved, in case it's intended to be marked Open in the Outreachy board.

Actually...adding the tag back, seeing as other boards archived. @Nes okay if we mark this task resolved?

Nes added a comment.May 6 2017, 7:10 AM

@dr0ptp4kt yes, it is ok.

dr0ptp4kt closed this task as Resolved.May 8 2017, 3:56 PM

Thanks, closing.